Skip to main content
PUT
/
api
/
v1
/
webhooks
/
{id}
Webhook'u güncelle
curl --request PUT \
  --url https://vpos-sandbox.payven.com.tr/api/v1/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "url": "<string>",
  "events": "<string>",
  "description": "<string>",
  "max_retry_count": 123
}
'
{
  "type": "https://docs.payven.com.tr/errors/bad_request",
  "title": "Geçersiz istek",
  "status": 400,
  "code": "bad_request",
  "detail": "amount.amount alanı zorunlu.",
  "correlation_id": "9f1c8e76-2a3b-4f12-9c8d-12cb24a8a8a8"
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Path Parameters

id
string<uuid>
required

Body

application/json
id
string<uuid>
url
string | null
events
string | null
description
string | null
max_retry_count
integer<int32>

Response

No Content